Subject: Re: [PATCH 2/4] net: dsa: b53: mmap: add more BCM63xx SoCs

From: Simon Horman <[email-masked]>
Date: Mon, 20 Mar 2023 21:11:38 +0100

On Mon, Mar 20, 2023 at 08:56:58PM +0100, Álvaro Fernández Rojas wrote:
> El lun, 20 mar 2023 a las 20:54, Simon Horman
> (<[email-masked]>) escribió:
> >
> > On Mon, Mar 20, 2023 at 04:50:22PM +0100, Álvaro Fernández Rojas wrote:
> > > BCM6318, BCM6362 and BCM63268 are SoCs with a B53 MMAP switch.
> > >
> > > Signed-off-by: Álvaro Fernández Rojas <[email-masked]>
> > > ---
> > >  drivers/net/dsa/b53/b53_mmap.c | 3 +++
> > >  1 file changed, 3 insertions(+)
> > >
> > > diff --git a/drivers/net/dsa/b53/b53_mmap.c b/drivers/net/dsa/b53/b53_mmap.c
> > > index 70887e0aece3..464c77e10f60 100644
> > > --- a/drivers/net/dsa/b53/b53_mmap.c
> > > +++ b/drivers/net/dsa/b53/b53_mmap.c
> > > @@ -331,8 +331,11 @@ static void b53_mmap_shutdown(struct platform_device *pdev)
> > >
> > >  static const struct of_device_id b53_mmap_of_table[] = {
> > >       { .compatible = "brcm,bcm3384-switch" },
> > > +     { .compatible = "brcm,bcm6318-switch" },
> > >       { .compatible = "brcm,bcm6328-switch" },
> > > +     { .compatible = "brcm,bcm6362-switch" },
> > >       { .compatible = "brcm,bcm6368-switch" },
> > > +     { .compatible = "brcm,bcm63268-switch" },
> >
> > This patch adds support to this driver for "brcm,bcm63268-switch".
> > However, less I am mistaken, this support doesn't work without
> > patches 3/4 and 4/4 of this series.
> 
> It works for those devices which only use ports 0-3 (Comtrend VR-3032u
> for example).
> If the device has a external switch or uses any of the RGMIIs then it
> won't configure those ports properly.

Ok, I guess that all drivers have incomplete support,
so from that point of view I guess this is fine.

> > I think it would be better to re-range this series so
> > that support for "brcm,bcm63268-switch" works when it is
> > added to/enabled in the driver.
> >
> > >       { .compatible = "brcm,bcm63xx-switch" },
> > >       { /* sentinel */ },
> > >  };
> > > --
> > > 2.30.2
> > >